//---------------------------------------------------------------------------
#include <clx.h>
#pragma hdrstop
#include "Main.h"
#pragma package(smart_init)
#pragma link "QCLXToolbar"
#pragma resource "*.xfm"
TFormMain *FormMain;
//---------------------------------------------------------------------------
__fastcall TFormMain::TFormMain(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::op1Click(TObject *Sender)
{ ToolFile->ActiveDock = CLXDockTop; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::Bottom1Click(TObject *Sender)
{ ToolFile->ActiveDock = CLXDockBottom; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::Left1Click(TObject *Sender)
{ ToolFile->ActiveDock = CLXDockLeft; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::Right1Click(TObject *Sender)
{ ToolFile->ActiveDock = CLXDockRight; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::BNewClick(TObject *Sender)
{
  Memo2->Lines->Add("Click: " + ((TComponent *)Sender)->Name);        
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::MExitClick(TObject *Sender)
{
  Application->Terminate();
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::MToolFileClick(TObject *Sender)
{
  ToolFile->Visible = !ToolFile->Visible;
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::MViewClick(TObject *Sender)
{
MToolFile->Checked = ToolFile->Visible;
MToolParagraph->Checked = ToolParagraph->Visible;
MToolEdit->Checked = ToolEdit->Visible;
MToolFont->Checked = ToolFont->Visible;
MTreeView->Checked = DockingTreeView->Visible;
MDockingMemo->Checked = DockingMemo->Visible;
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileAfterDocking(TCLXCustomControl *Sender,
      TCLXDock *ADock)
{
Memo2->Lines->Add("Control->AfterDocking. Sender: " +
  Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileAfterUndock(TCLXCustomControl *Sender,
      TCLXDock *ADock)
{
Memo2->Lines->Add("Control->AfterUndock. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileBeforeDocking(TCLXCustomControl *Sender,
      TCLXDock *ADock, bool &Accept)
{
Memo2->Lines->Add("Control->BeforeDocking. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileBeforeUndock(TCLXCustomControl *Sender,
      TCLXDock *ADock, bool &Accept)
{
Memo2->Lines->Add("Control->BeforeUndock. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileClose(TObject *Sender,
      TCloseAction &Action)
{ Memo2->Lines->Add("Close: " + ((TComponent *)Sender)->Name); }
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileCloseQuery(TObject *Sender,
      bool &CanClose)
{
Memo2->Lines->Add("CloseQuery: " + ((TComponent *)Sender)->Name);
CanClose = MessageDlg("Would you like to close the Component " +
  ((TComponent *)Sender)->Name + "?", mtConfirmation,
   TMsgDlgButtons() << mbYes << mbNo, 0) == mrYes;
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ToolFileShow(TObject *Sender)
{ Memo2->Lines->Add("Show: " + ((TComponent *)Sender)->Name); }
//---------------------------------------------------------------------------
void __fastcall TFormMain::CLXDockLeftAfterDocking(TCLXDock *Sender,
      TCLXCustomControl *ADock)
{
Memo2->Lines->Add("Dock->AfterDocking. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::CLXDockLeftAfterUndock(TCLXDock *Sender,
      TCLXCustomControl *ADock)
{
Memo2->Lines->Add("Dock->AfterUndock. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::CLXDockLeftBeforeDocking(TCLXDock *Sender,
      TCLXCustomControl *ADock, bool &Accept)
{
Memo2->Lines->Add("Dock->BeforeDocking. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::CLXDockLeftBeforeUndock(TCLXDock *Sender,
      TCLXCustomControl *ADock, bool &Accept)
{
Memo2->Lines->Add("Dock->BeforeUndock. Sender: " +
   Sender->Name + ". Dock: " + ADock->Name);
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::MToolParagraphClick(TObject *Sender)
{ ToolParagraph->Visible = !ToolParagraph->Visible; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::MToolEditClick(TObject *Sender)
{ ToolEdit->Visible = !ToolEdit->Visible; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::MToolFontClick(TObject *Sender)
{ ToolFont->Visible = !ToolFont->Visible; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::MTreeViewClick(TObject *Sender)
{ DockingTreeView->Visible = !DockingTreeView->Visible; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::MDockingMemoClick(TObject *Sender)
{ DockingMemo->Visible = !DockingMemo->Visible; }
//---------------------------------------------------------------------------
void __fastcall TFormMain::MLeftPageClick(TObject *Sender)
{
  if (CLXDockLeft->Mode == dmSimple)
  {  MLeftPage->Caption = "Set left simple";
     CLXDockLeft->Mode = dmPage;
  }
  else
  {  MLeftPage->Caption = "Set left page";
     CLXDockLeft->Mode = dmSimple;
  }
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::MRightPageClick(TObject *Sender)
{
if (CLXDockRight->Mode == dmSimple)
{  MRightPage->Caption = "Set right simple";
   CLXDockRight->Mode = dmPage;
}
else
{  MRightPage->Caption = "Set right page";
   CLXDockRight->Mode = dmSimple;
}
}
//---------------------------------------------------------------------------

