//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include "QCLXToolbar.hpp"
#include <QComCtrls.hpp>
#include <QExtCtrls.hpp>
#include <QImgList.hpp>
#include <QMenus.hpp>
#include <QTypes.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
        TCLXDock *CLXDockTop;
        TCLXToolbar *ToolFile;
        TCLXToolButton *BOpen;
        TCLXToolButton *BNew;
        TCLXToolButton *BPrint;
        TCLXToolButton *BSave;
        TCLXToolButton *BPreview;
        TCLXSeparator *CLXSeparator1;
        TCLXToolbar *ToolFont;
        TCLXToolButton *BFont;
        TComboBox *BFontName;
        TSpinEdit *BFontSize;
        TCLXToolbar *ToolParagraph;
        TCLXToolButton *BBulett;
        TCLXToolButton *BRight;
        TCLXToolButton *BLeft;
        TCLXToolButton *BCenter;
        TCLXToolButton *BParagraph;
        TCLXToolbar *ToolEdit;
        TCLXToolButton *BCopy;
        TCLXToolButton *BPaste;
        TCLXToolButton *BCut;
        TCLXToolButton *BUndo;
        TCLXDock *CLXDockLeft;
        TCLXDockingControl *DockingTreeView;
        TTreeView *TreeView1;
        TPanel *Panel1;
        TCLXDockingControl *DockingMemo;
        TMemo *Memo1;
        TCLXDock *CLXDockRight;
        TCLXDock *CLXDockBottom;
        TMemo *Memo2;
        TImageList *ImageListE;
        TImageList *ImageListD;
        TImageList *ImageListFileE;
        TImageList *ImageListFileD;
        TPopupMenu *PopupMenu1;
        TMenuItem *BPOpen;
        TMenuItem *N1;
        TMenuItem *History1;
        TMenuItem *History2;
        TMenuItem *History3;
        TMenuItem *History4;
        TMainMenu *MainMenu1;
        TMenuItem *MFile;
        TMenuItem *MNew;
        TMenuItem *MOpen;
        TMenuItem *MSave;
        TMenuItem *N2;
        TMenuItem *MPreview;
        TMenuItem *MPrint;
        TMenuItem *N3;
        TMenuItem *MExit;
        TMenuItem *MParagraph;
        TMenuItem *MCenter;
        TMenuItem *MLeft;
        TMenuItem *MRight;
        TMenuItem *MBulett;
        TMenuItem *MParagraph1;
        TMenuItem *MEdit;
        TMenuItem *MCut;
        TMenuItem *MCopy;
        TMenuItem *MPaste;
        TMenuItem *MUndo;
        TMenuItem *MView;
        TMenuItem *MToolFile;
        TMenuItem *MToolParagraph;
        TMenuItem *MToolEdit;
        TMenuItem *MToolFont;
        TMenuItem *MTreeView;
        TMenuItem *MDockingMemo;
        TMenuItem *N4;
        TMenuItem *MLeftPage;
        TMenuItem *MRightPage;
        TPopupMenu *PopupMenu2;
        TMenuItem *op1;
        TMenuItem *Bottom1;
        TMenuItem *Left1;
        TMenuItem *Right1;
        void __fastcall op1Click(TObject *Sender);
        void __fastcall Bottom1Click(TObject *Sender);
        void __fastcall Left1Click(TObject *Sender);
        void __fastcall Right1Click(TObject *Sender);
        void __fastcall BNewClick(TObject *Sender);
        void __fastcall MExitClick(TObject *Sender);
        void __fastcall MToolFileClick(TObject *Sender);
        void __fastcall MViewClick(TObject *Sender);
        void __fastcall ToolFileAfterDocking(TCLXCustomControl *Sender,
          TCLXDock *ADock);
        void __fastcall ToolFileAfterUndock(TCLXCustomControl *Sender,
          TCLXDock *ADock);
        void __fastcall ToolFileBeforeDocking(TCLXCustomControl *Sender,
          TCLXDock *ADock, bool &Accept);
        void __fastcall ToolFileBeforeUndock(TCLXCustomControl *Sender,
          TCLXDock *ADock, bool &Accept);
        void __fastcall ToolFileClose(TObject *Sender,
          TCloseAction &Action);
        void __fastcall ToolFileCloseQuery(TObject *Sender,
          bool &CanClose);
        void __fastcall ToolFileShow(TObject *Sender);
        void __fastcall CLXDockLeftAfterDocking(TCLXDock *Sender,
          TCLXCustomControl *ADock);
        void __fastcall CLXDockLeftAfterUndock(TCLXDock *Sender,
          TCLXCustomControl *ADock);
        void __fastcall CLXDockLeftBeforeDocking(TCLXDock *Sender,
          TCLXCustomControl *ADock, bool &Accept);
        void __fastcall CLXDockLeftBeforeUndock(TCLXDock *Sender,
          TCLXCustomControl *ADock, bool &Accept);
        void __fastcall MToolParagraphClick(TObject *Sender);
        void __fastcall MToolEditClick(TObject *Sender);
        void __fastcall MToolFontClick(TObject *Sender);
        void __fastcall MTreeViewClick(TObject *Sender);
        void __fastcall MDockingMemoClick(TObject *Sender);
        void __fastcall MLeftPageClick(TObject *Sender);
        void __fastcall MRightPageClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
